commit:     d3dcbd7af35224034ce5c98e59ff8830f1588988
Author:     Karlson2k (Evgeny Grin) <k2k <AT> narod <DOT> ru>
AuthorDate: Mon May 29 10:45:53 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed May 31 07:51:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3dcbd7a

net-libs/libmicrohttpd: add new upstream version 0.9.77

Signed-off-by: Karlson2k (Evgeny Grin) <k2k <AT> narod.ru>
Closes: https://github.com/gentoo/gentoo/pull/31210
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-libs/libmicrohttpd/Manifest                    |  1 +
 net-libs/libmicrohttpd/libmicrohttpd-0.9.77.ebuild | 78 ++++++++++++++++++++++
 net-libs/libmicrohttpd/metadata.xml                |  3 +-
 3 files changed, 81 insertions(+), 1 deletion(-)

diff --git a/net-libs/libmicrohttpd/Manifest b/net-libs/libmicrohttpd/Manifest
index b076f6ef1d1b..2d8886a44343 100644
--- a/net-libs/libmicrohttpd/Manifest
+++ b/net-libs/libmicrohttpd/Manifest
@@ -1,2 +1,3 @@
 DIST libmicrohttpd-0.9.75.tar.gz 1952076 BLAKE2B 
419d7b7113edbcc54eec3e3b6da92d040e15b451bde4e1372b368fdd87277c85daddc295bc71d25bf02135921a8716876e9536c9dee286fa29b66bfb8167ebd2
 SHA512 
4dc62ed191342a61cc2767171bb1ff4050f390db14ef7100299888237b52ea0b04b939c843878fe7f5daec2b35a47b3c1b7e7c11fb32d458184fe6b19986a37c
 DIST libmicrohttpd-0.9.76.tar.gz 2199858 BLAKE2B 
2c2de77d731ff130bb1491733b91e9e0b0c68bc30ea1a826f7f1d97aaf83fa7f6bec3c219f81c5293de72595b26d1e6eb66cdd4bfe3b16bd37a10e3acd3c6446
 SHA512 
9ff8a837892142376eaeaf50c0b0dba76697d0ff44b908434cba8db4324c57dfb8bbcc1a922b97d825891ac10f50693dee9388531856e0fa81fa2cfeac538581
+DIST libmicrohttpd-0.9.77.tar.gz 1896679 BLAKE2B 
09a07c7da77d6072e5aa0fb121aedffb66b6cfdb2da30d1809583469282365832beb935417e779ddb31876949358d25c10bf79616079393503ca5860d88ac052
 SHA512 
001025c023dd94c4a0cf017ed575e65a577b5ce595e7e450346bfb75def77eaa8a4cfbeffb9f4b912e34165c2cfca147c02c895e067a4f6c5a321a12035758a5

diff --git a/net-libs/libmicrohttpd/libmicrohttpd-0.9.77.ebuild 
b/net-libs/libmicrohttpd/libmicrohttpd-0.9.77.ebuild
new file mode 100644
index 000000000000..c1536aaf159b
--- /dev/null
+++ b/net-libs/libmicrohttpd/libmicrohttpd-0.9.77.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit linux-info multilib-minimal
+
+MY_P="${P/_/}"
+
+DESCRIPTION="Small C library to run an HTTP server as part of another 
application"
+HOMEPAGE="https://www.gnu.org/software/libmicrohttpd/";
+SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="|| ( LGPL-2.1+ !ssl? ( GPL-2+-with-eCos-exception-2 ) )"
+SLOT="0/12"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="+epoll +eventfd ssl static-libs test +thread-names"
+REQUIRED_USE="epoll? ( kernel_linux )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="ssl? ( >net-libs/gnutls-2.12.20:=[${MULTILIB_USEDEP}] )"
+# libcurl and the curl binary are used during tests on CHOST
+DEPEND="${RDEPEND}
+       test? ( net-misc/curl[ssl?] )"
+BDEPEND="ssl? ( virtual/pkgconfig )"
+
+DOCS=( AUTHORS NEWS COPYING README ChangeLog )
+
+pkg_pretend() {
+       if use kernel_linux ; then
+               CONFIG_CHECK=""
+               use epoll && CONFIG_CHECK+=" ~EPOLL"
+               ERROR_EPOLL="EPOLL is not enabled in kernel, but enabled in 
libmicrohttpd."
+               ERROR_EPOLL+=" libmicrohttpd will fail to start with 
'automatic' configuration."
+               use eventfd && CONFIG_CHECK+=" EVENTFD"
+               ERROR_EVENTFD="EVENTFD is not enabled in kernel, but enabled in 
libmicrohttpd."
+               ERROR_EVENTFD+=" libmicrohttpd will not work."
+               check_extra_config
+       fi
+}
+
+multilib_src_configure() {
+       local itc_type
+       if use eventfd ; then
+               itc_type="eventfd"
+       elif use kernel_Winnt ; then
+               itc_type="socketpair"
+       else
+               itc_type="pipe"
+       fi
+       ECONF_SOURCE="${S}" \
+       econf \
+               --enable-shared \
+               $(use_enable static-libs static) \
+               --disable-nls \
+               --enable-bauth \
+               --enable-dauth \
+               --disable-examples \
+               --enable-messages \
+               --enable-postprocessor \
+               --enable-httpupgrade \
+               --disable-experimental \
+               --disable-heavy-tests \
+               --enable-itc=${itc_type} \
+               $(use_enable thread-names) \
+               $(use_enable epoll) \
+               $(use_enable test curl) \
+               $(use_enable ssl https)
+}
+
+multilib_src_install_all() {
+       default
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
+}

diff --git a/net-libs/libmicrohttpd/metadata.xml 
b/net-libs/libmicrohttpd/metadata.xml
index 5fc011eec8b0..f11e30233688 100644
--- a/net-libs/libmicrohttpd/metadata.xml
+++ b/net-libs/libmicrohttpd/metadata.xml
@@ -10,7 +10,8 @@
                <name>Proxy Maintainers</name>
        </maintainer>
        <use>
-               <flag name="epoll">Use epoll() system call</flag>
+               <flag name="epoll">Support epoll() system call</flag>
+               <flag name="eventfd">Use EventFD for efficient inter-thread 
communication</flag>
                <flag name="thread-names">Assign thread names to internal 
threads, useful for dependent apps debugging</flag>
        </use>
        <upstream>

Reply via email to